resource "cloudflare_record" "terraform" {
  zone_id = var.cloudflare_zone
  name    = "terraform"
  value   = "82.66.77.254"
  type    = "A"
  ttl     = 1
  proxied = true
}

resource "cloudflare_record" "a-root" {
  zone_id = var.cloudflare_zone
  name    = "@"
  value   = var.main_server
  type    = "A"
  ttl     = 3600
  proxied = false
}